/*
 * This file was automatically generated by EvoSuite
 * Thu Jun 23 13:15:51 GMT 2022
 */

package ir.ramtung.impl1;

import ir.ramtung.sts01.LibraryException;
import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import ir.ramtung.impl1.Magazine;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = true, useJEE = true) 
public class Magazine_ESTest extends Magazine_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test0()  throws Throwable  {
      Magazine magazine0 = new Magazine(";bAzRiC%xml!,Rhm", 1390, 1390);
      int int0 = magazine0.penaltyFor(0);
      assertEquals(0, int0);
  }

  @Test(timeout = 4000)
  public void test1()  throws Throwable  {
      Magazine magazine0 = new Magazine("ir.ramtung.impl1.Document", 107, 2411);
      int int0 = magazine0.penaltyFor(0);
      assertEquals(0, int0);
  }

  @Test(timeout = 4000)
  public void test2()  throws Throwable  {
      Magazine magazine0 = new Magazine("ir.ramtung.impl1.Document", 107, 2411);
      int int0 = magazine0.penaltyFor(3266000);
      assertEquals((-2057934592), int0);
  }

  @Test(timeout = 4000)
  public void test3()  throws Throwable  {
      Magazine magazine0 = new Magazine("E{", 805, 805);
      int int0 = magazine0.penaltyFor(805);
      assertEquals(1610000, int0);
  }

  @Test(timeout = 4000)
  public void test4()  throws Throwable  {
      Magazine magazine0 = new Magazine("E{", 805, 805);
      magazine0.year = 805;
      magazine0.year = 1610000;
      int int0 = magazine0.penaltyFor(1610000);
      assertEquals(535032704, int0);
  }

  @Test(timeout = 4000)
  public void test5()  throws Throwable  {
      Magazine magazine0 = null;
      try {
        magazine0 = new Magazine("9", 818, (-112));
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // Magazine with zero or negative number
         //
         verifyException("ir.ramtung.impl1.Magazine", e);
      }
  }

  @Test(timeout = 4000)
  public void test6()  throws Throwable  {
      Magazine magazine0 = null;
      try {
        magazine0 = new Magazine(" %9|T1>|p|KA'JO.", (-30), (-30));
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // Magazine with zero or negative publication year
         //
         verifyException("ir.ramtung.impl1.Magazine", e);
      }
  }

  @Test(timeout = 4000)
  public void test7()  throws Throwable  {
      Magazine magazine0 = new Magazine("E{", 805, 805);
      int int0 = magazine0.loanDuration();
      assertEquals(2, int0);
  }
}
